using System.Diagnostics.CodeAnalysis;
using Autofac;

namespace Piwigo.Client.Autofac;

[SuppressMessage("ReSharper", "UnusedType.Global")]
[SuppressMessage("ReSharper", "UnusedMember.Global")]
public static class ContainerBuilderExtensions
{
    public static ContainerBuilder RegisterPiwigo(this ContainerBuilder builder, IPiwigoConfiguration configuration)
    {
        if (builder == null)
        {
            throw new ArgumentNullException(nameof(builder));
        }

        if (configuration == null)
        {
            throw new ArgumentNullException(nameof(configuration));
        }

        builder.RegisterModule(new PiwigoModule(configuration));

        return builder;
    }
}