﻿using Microsoft.Extensions.DependencyInjection;
using Piwigo.Client.Albums;
using Piwigo.Client.Images;
using Piwigo.Client.Session;
using Piwigo.Client.Tags;

namespace Piwigo.Client.DependencyInjection;

public static class ServiceCollectionExtension
{
    public static void AddPiwigoClient(this IServiceCollection services, IPiwigoConfiguration configuration)
    {
        services.AddSingleton(configuration);
        services.AddScoped<IPiwigoContext, PiwigoContext>();
        services.AddTransient<IAlbumApi, AlbumApi>();
        services.AddTransient<IImageApi, ImageApi>();
        services.AddTransient<ISessionApi, SessionApi>();
        services.AddTransient<ITagApi, TagApi>();
        services.AddTransient<IPiwigoClient, PiwigoClient>();
    }
}