using System.Diagnostics.CodeAnalysis;
using Newtonsoft.Json;

namespace Piwigo.Client.Albums;

[SuppressMessage("ReSharper", "StringLiteralTypo")]
public record Album
{
    [JsonProperty("id")]
    public int Id { get; init; }

    [JsonProperty("name")]
    public string Name { get; init; } = string.Empty;

    [JsonProperty("comment")]
    public string? Comment { get; init; }

    [JsonProperty("permalink")]
    public string? Permalink { get; init; }

    [JsonProperty("status")]
    public string? Status { get; init; }

    [JsonProperty("uppercats")]
    public string? UpperCats { get; init; }

    [JsonProperty("global_rank")]
    public string? GlobalRank { get; init; }

    [JsonProperty("id_uppercat")]
    public int? IdUpperCat { get; init; }

    [JsonProperty("nb_images")]
    public int? NbImages { get; init; }

    [JsonProperty("total_nb_images")]
    public int? TotalNbImages { get; init; }

    [JsonProperty("representative_picture_id")]
    public string? RepresentativePictureId { get; init; }

    [JsonProperty("date_last")]
    public string? DateLast { get; init; }

    [JsonProperty("max_date_last")]
    public string? MaxDateLast { get; init; }

    [JsonProperty("nb_categories")]
    public int? NbCategories { get; init; }

    [JsonProperty("url")]
    public string? Url { get; init; }

    [JsonProperty("tn_url")]
    public string? TnUrl { get; init; }
}