using Microsoft.Extensions.Logging;

namespace Piwigo.Client;

public interface IPiwigoContext
{
    bool IsLoggedIn { get; }
    Task LoginAsync(CancellationToken cancellationToken = default);
    Task LogoutAsync(CancellationToken cancellationToken = default);
    Task<T> PostAsync<T>(ILogger logger, string method, IDictionary<string, string> formParams, CancellationToken cancellationToken = default) where T : PiwigoResponse;
    Task<T> PostAsync<T>(ILogger logger, string method, CancellationToken cancellationToken = default) where T : PiwigoResponse;
}