using Newtonsoft.Json;

namespace Piwigo.Client.Images;

public record Image
{
    [JsonProperty("id")]
    public int Id { get; init; }

    [JsonProperty("width")]
    public int Width { get; init; }

    [JsonProperty("height")]
    public int Height { get; init; }

    [JsonProperty("hit")]
    public int Hit { get; init; }

    [JsonProperty("file")]
    public string? File { get; init; }

    [JsonProperty("name")]
    public string? Name { get; init; }

    [JsonProperty("comment")]
    public string? Comment { get; init; }

    [JsonProperty("date_creation")]
    public DateTime? DateCreation { get; init; }

    [JsonProperty("date_available")]
    public DateTime? DateAvailable { get; init; }

    [JsonProperty("page_url")]
    public string? PageUrl { get; init; }

    [JsonProperty("element_url")]
    public string? ElementUrl { get; init; }

    [JsonProperty("derivatives")]
    public IDictionary<string, ImageDerivative>? Derivatives { get; init; }

    [JsonProperty("categories")]
    public IReadOnlyCollection<ImageAlbum>? Albums { get; init; }

    [JsonProperty("comment_post")]
    public CommentPost? CommentPost { get; init; }

    [JsonProperty("comments_paging")]
    public CommentPagingInfo? CommentPaging { get; init; }

    [JsonProperty("comments")]
    public IReadOnlyCollection<Comment>? Comments { get; init; }
}