namespace Piwigo.Client;

public class PiwigoConfiguration : IPiwigoConfiguration
{
    public PiwigoConfiguration(string baseUri, string userName, string password)
    {
        if (string.IsNullOrWhiteSpace(baseUri))
        {
            throw new ArgumentException("Value cannot be null or whitespace.", nameof(baseUri));
        }

        if (string.IsNullOrWhiteSpace(userName))
        {
            throw new ArgumentException("Value cannot be null or whitespace.", nameof(userName));
        }

        if (string.IsNullOrWhiteSpace(password))
        {
            throw new ArgumentException("Value cannot be null or whitespace.", nameof(password));
        }

        BaseUri = baseUri;
        UserName = userName;
        Password = password;
    }

    public string BaseUri { get; }
    public string UserName { get; }
    public string Password { get; }
}