using Newtonsoft.Json;

namespace Piwigo.Client.Session;

public record SessionStatus
{
    [JsonProperty("username")]
    public string? Username { get; init; }

    [JsonProperty("status")]
    public string? Status { get; init; }

    [JsonProperty("theme")]
    public string? Theme { get; init; }

    [JsonProperty("language")]
    public string? Language { get; init; }

    [JsonProperty("pwg_token")]
    public string? ApiToken { get; init; }

    [JsonProperty("charset")]
    public string? Charset { get; init; }

    [JsonProperty("current_datetime")]
    public string? CurrentDatetime { get; init; }

    [JsonProperty("version")]
    public string? Version { get; init; }

    [JsonProperty("available_sizes")]
    public string[]? AvailableSizes { get; init; }

    [JsonProperty("upload_file_types")]
    public string? UploadFileTypes { get; init; }

    [JsonProperty("upload_form_chunk_size")]
    public int UploadFormChunkSize { get; init; } = 512;
}